
using CloudBuilder.Core.DatabaseAccessor.Entity;
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;

namespace CloudBuilder.Security.Service
{
    public interface ILocaleService : IServiceBase<LocaleEntity, LocaleEntityKey, LocaleSearchCriteria>
    {
        LocaleEntity[] FindAll();
        LocaleResultData FindBySearchCriteria(LocaleSearchCriteria tc);

        void UpdateLocaleData(LocaleData data);
    }
}
